Upload files to existing collection

The endpoint uploads additional files to an existing collection. Documents are provided as base64-encoded content in JSON format. Each uploaded file is automatically validated and queued for AI-powered categorization.

Path Params
string
required

Collection ID

Body Params
documents
array of objects
required
length between 1 and 10
documents*
string
required
length ≤ 255
string
enum
required
string
required
length between 1336 and 13333336

Base64-encoded file content. Maximum file size: 10 MB (10,000,000 bytes). Minimum file size: 1 KB (1,000 bytes). Note: maxLength accounts for base64 encoding overhead (4/3 ratio).

string | null

Truv user ID to assign this document to (optional, mutually exclusive with external_user_id)

string | null

External system user ID to assign this document to (optional, mutually exclusive with user_id)

Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json